Modify

Opened 4 months ago

Closed 4 months ago

#14671 closed defect (fixed)

check for "get number of unread messages" catching up after hibernate/standby

Reported by: SanderH Owned by: team
Priority: normal Milestone: 17.04
Component: Core Version:
Keywords: template_report Cc:

Description (last modified by SanderH)

What steps will reproduce the problem?

  1. Launch JOSM (JAR version so that you can see the logging)
  2. Put your machine into standby or hibernate
  3. Wait about half an hour
  4. Get your machine out of the state you put it in in step 2
  5. Within 5 minutes JOSM will start catching up all missed unread message checks

I put my machine in sleep during the night and after ~18 hours I had about 220 checks in the console which started JOSM:
2017-04-19 17:00:39.514 INFO: GET https://api.openstreetmap.org/api/0.6/user/details (get number of unread messages) -> 200 (387 B)
2017-04-19 17:00:39.833 INFO: GET https://api.openstreetmap.org/api/0.6/user/details (get number of unread messages) -> 200 (387 B)
2017-04-19 17:00:40.146 INFO: GET https://api.openstreetmap.org/api/0.6/user/details (get number of unread messages) -> 200 (387 B)
<snipping ~200 messages>
2017-04-19 17:01:03.386 INFO: GET https://api.openstreetmap.org/api/0.6/user/details (get number of unread messages) -> 200 (387 B)
Looks like it took about 20 seconds to catch up 220 requests.

What is the expected result?

JOSM checking once every 5 minutes and not catching up old missed unread checks

What happens instead?

JOSM checks repeatedly for each missed event, thereby needlessly putting a (light) load on the OSM servers.

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-04-02 01:45:00 +0200 (Sun, 02 Apr 2017)
Build-Date:2017-04-02 01:34:50
Revision:11826
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11826 en) Windows 10 64-Bit
Memory Usage: 1478 MB / 1778 MB (512 MB allocated, but free)
Java version: 1.8.0_121-b13, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1920x1200, \Display1 1920x1200
Maximum Screen Size: 1920x1200
Dataset consistency test: No problems found

Plugins:
+ DirectDownload (33160)
+ FixAddresses (33182)
+ Mapillary (v1.4.2)
+ OpeningHoursEditor (33185)
+ PicLayer (33148)
+ apache-commons (32994)
+ apache-http (32699)
+ download_along (32946)
+ ejml (32680)
+ geojson (52)
+ geotools (33042)
+ graphview (33004)
+ jts (32699)
+ measurement (33088)
+ ods-bag (0.6.10)
+ opendata (33197)
+ opendataservices (0.6.10)
+ photo_geotagging (33088)
+ photoadjust (33088)
+ poly (33004)
+ reverter (33088)
+ scripting (30764)
+ turnlanes (33088)
+ undelete (32699)
+ utilsplugin2 (33182)

Tagging presets:
+ %UserProfile%\Tools\JOSM\Presets_Monuments.zip

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ %UserProfile%\Tools\JOSM\NL_traffic_signs\Styles_Traffic_signs-style.mapcss
- http://duinoord.home.xs4all.nl/OSM/JOSM/NL_traffic_signs/Styles_Traffic_signs-style.mapcss
+ <josm.pref>\plugins\Ods-bag-style.mapcss
- <josm.pref>\plugins\Ods-bag-style-0.6.8.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NumberedCycleNodeNetworks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NumberedWalkingNodeNetworks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features_ryg&style&zip=1
- %UserProfile%\Tools\JOSM\FI_traffic_signs\fisigns-all.mapcss

Last errors/warnings:
- W: Duplicate value for unique index -242964 of BagBuilding
- W: Duplicate value for unique index -242736 of BagBuilding
- W: Duplicate value for unique index -243272 of BagBuilding
- W: Duplicate value for unique index -242306 of BagBuilding
- W: Duplicate value for unique index -242598 of BagBuilding
- W: Duplicate value for unique index -242742 of BagBuilding
- W: Duplicate value for unique index -242160 of BagBuilding
- W: Duplicate value for unique index -281460 of BagBuilding
- W: Duplicate value for unique index -281460 of BagBuilding
- W: Duplicate value for unique index -281614 of BagBuilding

Attachments (0)

Change History (3)

comment:1 Changed 4 months ago by SanderH

Description: modified (diff)

comment:2 Changed 4 months ago by Don-vip

Milestone: 17.04

comment:3 Changed 4 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 11969/josm:

fix #14671 - Make sure we don't run the API call many times after system wakeup

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.